Create Tag Group
curl --request POST \
--url https://api.cyberdesk.io/v1/workflow-tag-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"emoji": "<string>",
"color": "<string>"
}
'import requests
url = "https://api.cyberdesk.io/v1/workflow-tag-groups"
payload = {
"name": "<string>",
"description": "<string>",
"emoji": "<string>",
"color": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
emoji: '<string>',
color: '<string>'
})
};
fetch('https://api.cyberdesk.io/v1/workflow-tag-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"emoji": "<string>",
"color": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workflow-tag-groups
Create Tag Group
Create a new workflow tag group.
Tag groups enable mutual exclusivity - when a workflow has a tag from a group, adding another tag from the same group will automatically remove the first one.
POST
/
v1
/
workflow-tag-groups
Create Tag Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Response
Successful Response
Workflow tag group response schema
Required string length:
1 - 100Maximum string length:
500Maximum string length:
10Maximum string length:
20Was this page helpful?